Subject: Re: linux-next: build failure after merge of the kvm-arm tree

From: Christoffer Dall <[email-masked]>
Date: Wed, 24 Sep 2014 09:06:12 +0200

On Wed, Sep 24, 2014 at 04:50:30PM +1000, Stephen Rothwell wrote:
> Hi all,
> 
> On Mon, 22 Sep 2014 14:06:45 +1000 Stephen Rothwell <[email-masked]> wrote:
> >
> > Hi all,
> > 
> > After merging the kvm-arm tree, today's linux-next build (x86_64 allmodconfig)
> > failed like this:
> > 
> > arch/x86/kvm/../../../virt/kvm/eventfd.c: In function 'kvm_register_irq_ack_notifier':
> > arch/x86/kvm/../../../virt/kvm/eventfd.c:493:2: error: implicit declaration of function 'kvm_vcpu_request_scan_ioapic' [-Werror=implicit-function-declaration]
> >   kvm_vcpu_request_scan_ioapic(kvm);
> >   ^
> > 
> > Probably caused by commit 0ba09511ddc3 ("KVM: EVENTFD: remove inclusion
> > of irq.h").
> > 
> > I have used the kvm-arm tree from next-20140919 for today.
> 
> Still getting this failure.
> 
Commit e9142e3b69c2ae8a699463e219e5b029ff0d652b in kvm/queue fixes this,
but it hasn't gone to next yet.

Paolo, I know there's a scary commit in queue but there's a bunch of
scary stuff in the kvmarm/next too that I'd like to see in next, any
chance you can put a subset of queue into next?

Thanks,
-Christoffer